#include "main.h"
#include "Error.h"

enum { WHO_FATHER, WHO_CHILDREN };
enum { ALARM_NULL, ALARM_TIMEOUT, ALARM_KILL };

extern int S_ALRM; /* Socket to catch with sig-alarm (timeout reasons) */
extern int S_TYPE; /* Type of alarm signal */

int catchSignals();
int catchTimeout(int,int,int);
